Skip to main content
GET
/
storage
/
kvs
/
{id}
/
keys
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const response of client.storage.kvs.keys.list()) {
  console.log(response);
}
{
  "record_type": "storage_kv_key",
  "data": [
    {
      "key": "user/123",
      "size_bytes": 21,
      "updated_at": "2026-06-18T14:48:17Z"
    }
  ],
  "meta": {
    "has_more": false,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

KV namespace ID

Query Parameters

prefix
string

Return only keys that start with this prefix.

limit
integer
default:1000

Maximum number of keys to return. Values above 1000 are treated as 1000.

Required range: 1 <= x <= 1000
cursor
string

Opaque pagination cursor from a previous response's meta.cursor.

Response

Keys retrieved successfully

record_type
string
Example:

"storage_kv_key"

data
object[]
meta
object